- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

# IpeStrokeStyle Class Reference
[Ipe Attributes]

Encapsulates line join, line cap, and eofill vs windfill rule. More...

List of all members.

## Public Types

- enum { EMiterJoin = 0, ERoundJoin, EBevelJoin }
- enum { EButtCap = 0, ERoundCap, ESquareCap }

## Public Member Functions

- IpeStrokeStyle ()
- IpeAttribute Join () const
- IpeAttribute Cap () const
- IpeAttribute WindRule () const
- void SetJoin (int val)
- void SetCap (int val)
- void SetWindRule (int val)
- void SetJoin (IpeAttribute val)
- void SetCap (IpeAttribute val)
- void SetWindRule (IpeAttribute val)

## Detailed Description

Encapsulates line join, line cap, and eofill vs windfill rule.

This class encapsulates three IpeAttributes in the space of one `int`.

## Member Enumeration Documentation

anonymous enum

Line join style.

anonymous enum

Line cap style.

## Constructor & Destructor Documentation

IpeStrokeStyle::IpeStrokeStyle | ( |  | ) | `[inline]`

Constructor creates all null attributes.

## Member Function Documentation

void IpeStrokeStyle::SetJoin | ( | int | val | ) |

Set line join.

If val < 0 or val > 2, set to default.

void IpeStrokeStyle::SetCap | ( | int | val | ) |

Set line cap.

If val < 0 or val > 2, set to default.

void IpeStrokeStyle::SetWindRule | ( | int | val | ) |

Set wind rule (0 = even-odd file, 1 = wind fill).

If val < 0 or val > 1, set to default.

void IpeStrokeStyle::SetJoin | ( | IpeAttribute | val | ) |

Set join from attribute.

void IpeStrokeStyle::SetCap | ( | IpeAttribute | val | ) |

Set line cap from attribute.

void IpeStrokeStyle::SetWindRule | ( | IpeAttribute | val | ) |

Set wind rule from attribute.

The documentation for this class was generated from the following files:

- ipecolor.h
- ipecolor.cpp